<template>
  <ProDialog
    :title="'二维码'"
    v-model="innerVisible"
    width="400px"
    destroy-on-close
    draggable
    class="qrcode-dialog"
  >
    <div class="qrcode-wrapper">
      <vue-qrcode :value="form.qrcodeUrl" tag="img" :options="{ width: 240 }" ref="qrcode">
      </vue-qrcode>
    </div>
  </ProDialog>
</template>

<script setup lang="ts">
import VueQrcode from '@chenfengyuan/vue-qrcode';
import { ProDialog } from '@bole-core/components';

defineOptions({
  name: 'QrcodeDialog',
});

type Props = {
  modelValue: boolean;
  form: {
    title?: string;
    qrcodeUrl: string;
  };
};

const props = withDefaults(defineProps<Props>(), {
  modelValue: false,
});

const emit = defineEmits<{
  (e: 'update:modelValue', value: boolean): void;
  (e: 'onCancel'): void;
}>();

const innerVisible = computed({
  get() {
    return props.modelValue;
  },
  set(val) {
    emit('update:modelValue', val);
  },
});
</script>

<style lang="scss" scoped>
@use '@/style/common.scss' as *;

.qrcode-wrapper {
  position: relative;

  .alipay-icon {
    position: absolute;
    top: calc(50% - 22px);
    left: calc(50% - 22px);
    display: block;
    padding: 6px;
    width: 44px;
    height: 44px;
    border: none;
    border-radius: 7px;
    background: #ffffff;
  }
}
</style>
<style lang="scss">
.qrcode-dialog {
  .el-dialog__body {
    display: flex;
    justify-content: center;
  }
}
</style>
